testing::internal::ParameterizedTestSuiteRegistry Class Reference

`#include <gtest.h>`

## Public Member Functions

| ParameterizedTestSuiteRegistry ()
| ~ParameterizedTestSuiteRegistry ()
template<class TestSuite >
ParameterizedTestSuiteInfo< TestSuite > * | GetTestSuitePatternHolder (const char *test_suite_name, CodeLocation code_location)
void | RegisterTests ()
template<class TestCase >
ParameterizedTestCaseInfo< TestCase > * | GetTestCasePatternHolder (const char *test_case_name, CodeLocation code_location)

## Detailed Description

Definition at line 11205 of file gtest.h.

## Constructor & Destructor Documentation

## ParameterizedTestSuiteRegistry()

testing::internal::ParameterizedTestSuiteRegistry::ParameterizedTestSuiteRegistry | ( |  | ) |

inline

Definition at line 11207 of file gtest.h.

## ~ParameterizedTestSuiteRegistry()

testing::internal::ParameterizedTestSuiteRegistry::~ParameterizedTestSuiteRegistry | ( |  | ) |

inline

Definition at line 11208 of file gtest.h.

## Member Function Documentation

## GetTestCasePatternHolder()

template<class TestCase >

ParameterizedTestCaseInfo<TestCase>* testing::internal::ParameterizedTestSuiteRegistry::GetTestCasePatternHolder | ( | const char * | test_case_name,
|  | CodeLocation | code_location
| ) |  |

inline

Definition at line 11253 of file gtest.h.

## GetTestSuitePatternHolder()

template<class TestSuite >

ParameterizedTestSuiteInfo<TestSuite>* testing::internal::ParameterizedTestSuiteRegistry::GetTestSuitePatternHolder | ( | const char * | test_suite_name,
|  | CodeLocation | code_location
| ) |  |

inline

Definition at line 11217 of file gtest.h.

## RegisterTests()

void testing::internal::ParameterizedTestSuiteRegistry::RegisterTests | ( |  | ) |

inline

Definition at line 11245 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h